## gcc-mingw-w64 25.2

=== debian/changelog ===
gcc-mingw-w64 (25.2) unstable; urgency=medium

  [ Konstantin Demin ]
  * Restore the ability to parallel-install POSIX and Win32 thread
    variants.
  * Install g++-mapper-server in the g++ packages.

  [ Stephen Kitt ]
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Jan 2023 17:40:24 +0100

gcc-mingw-w64 (25.1) unstable; urgency=medium

  * Correctly remove the g++-mingw-w64-x86-64-win32 alternative. Closes:
    #1026306.
  * Update Lintian overrides to the new format.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Dec 2022 22:03:42 +0100

gcc-mingw-w64 (25) unstable; urgency=medium

  * Upgrade to GCC 12. Closes: #1023679. It is no longer possible to tweak
    the installation directory for different thread models, so the -posix
    and -win32 packages are no longer co-installable.
  * Drop “Built-Using” from “Architecture: all” packages.
  * Since the POSIX and Win32 packages are no longer co-installable,
    drop support for alternatives and use symlinks to provide the full
    set of command names.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2022 09:00:34 +0100
