## gcc-mingw-w64 25.3

=== debian/changelog ===
gcc-mingw-w64 (25.3) unstable; urgency=medium

  * Stop setting the build timestamp manually, ld takes care of that
    itself now. Closes: #1052220.

 -- Stephen Kitt <skitt@debian.org>  Thu, 21 Sep 2023 07:23:25 +0200
