=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Build gcc-mingw-w64 using gcc-12-source.
-# Copyright © 2010-2022 Stephen Kitt <skitt@debian.org>
+# Copyright © 2010-2023 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -137,7 +137,6 @@
 LDFLAGS += -Wl,--as-needed
 LDFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get LDFLAGS)
 LDFLAGS_FOR_TARGET += -Wl,--as-needed
-LDFLAGS_FOR_TARGET = -Xlinker --insert-timestamp=$(SOURCE_DATE_EPOCH)
 export CC CXX CFLAGS CFLAGS_FOR_TARGET CPPFLAGS CPPFLAGS_FOR_TARGET
 export CXXFLAGS CXXFLAGS_FOR_TARGET FFLAGS FFLAGS_FOR_TARGET LDFLAGS LDFLAGS_FOR_TARGET
 
@@ -214,3 +213,7 @@
 	--libdir=/$(PF)/$(libdir) \
 	--enable-libstdcxx-time=yes \
 	--with-tune=generic
+# Tell GCC we have headers (this enables gcov)
+CONFFLAGS += \
+	--with-headers
+# MinGW-w64 flags
