## gcc-mingw-w64 26.1

=== debian/changelog ===
gcc-mingw-w64 (26.1) unstable; urgency=medium

  * Add missing find arguments...

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Sep 2023 20:34:25 +0200

gcc-mingw-w64 (26) unstable; urgency=medium

  * Switch to GCC 13.
  * Drop breaks/conflicts for old package splits, the affected versions
    are all obsolete.
  * Use find -exec instead of piping find’s output into xargs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Sep 2023 18:22:52 +0200
