=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                bison,
                debhelper,
                flex,
-               g++-12 <!stage1>,
-               gcc-12-source,
-               gnat-12 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
+               g++-13 <!stage1>,
+               gcc-13-source,
+               gnat-13 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
                libelf-dev,
                libgmp-dev,
                libisl-dev,
@@ -60,11 +60,10 @@
 Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-i686 (<< ${threadsplit:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
 Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-bootstrap, gcc-mingw-w64-i686 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -80,11 +79,10 @@
 Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-i686 (<< ${threadsplit:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
 Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-bootstrap, gcc-mingw-w64-i686 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -114,11 +112,10 @@
 Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-x86-64 (<< ${threadsplit:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
 Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-bootstrap, gcc-mingw-w64-x86-64 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -134,11 +131,10 @@
 Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-x86-64 (<< ${threadsplit:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
 Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), gcc-mingw-w64-bootstrap, gcc-mingw-w64-x86-64 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -182,10 +178,8 @@
 Depends: gcc-mingw-w64-i686-posix (= ${binary:Version}), gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-i686 (<< ${threadsplit:Version})
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-i686 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -201,10 +195,8 @@
 Depends: gcc-mingw-w64-i686-win32 (= ${binary:Version}), gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-i686 (<< ${threadsplit:Version})
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-i686 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -234,10 +226,8 @@
 Depends: gcc-mingw-w64-x86-64-posix (= ${binary:Version}), gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-x86-64 (<< ${threadsplit:Version})
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-x86-64 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -253,10 +243,8 @@
 Depends: gcc-mingw-w64-x86-64-win32 (= ${binary:Version}), gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-12-locales (>= ${local:Version})
-Breaks: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-x86-64 (<< ${threadsplit:Version})
-Replaces: gcc-mingw-w64 (<< ${firstsplit:Version}), g++-mingw-w64-x86-64 (<< ${threadsplit:Version})
-Built-Using: gcc-12 (= ${gcc:Version})
+Suggests: gcc-13-locales (>= ${local:Version})
+Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -274,3 +262,43 @@
          ${misc:Depends}
 Description: GNU Fortran compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This metapackage provides the Fortran compiler, supporting
+ cross-compiling to 32- and 64-bit MinGW-w64 targets.
+Build-Profiles: <!stage1>
+
+Package: gfortran-mingw-w64-i686
+Architecture: all
+Depends: gfortran-mingw-w64-i686-posix,
+         gfortran-mingw-w64-i686-win32,
+         ${misc:Depends}
+Description: GNU Fortran compiler for MinGW-w64 targeting Win32
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This metapackage provides the Fortran compiler, supporting
+ cross-compiling to 32-bit MinGW-w64 targets.
+Build-Profiles: <!stage1>
+
+Package: gfortran-mingw-w64-i686-posix
+Architecture: any
+Depends: gcc-mingw-w64-i686-posix (= ${binary:Version}), gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gcc-13-locales (>= ${local:Version})
+Built-Using: gcc-13 (= ${gcc:Version})
+Description: GNU Fortran compiler for MinGW-w64, Win32/POSIX
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit (x86 and x64) Windows applications using the Windows API and
+ the GNU Compiler Collection (gcc).
+ .
+ This package contains the Fortran compiler, supporting
+ cross-compiling to 32-bit MinGW-w64 targets, using the POSIX
+ threading model.
+Build-Profiles: <!stage1>
+
+Package: gfortran-mingw-w64-i686-win32
+Architecture: any
