=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gcc-mingw-w64 using gcc-12-source.
+# Build gcc-mingw-w64 using gcc-13-source.
 # Copyright © 2010-2023 Stephen Kitt <skitt@debian.org>
 #
 # This program is free software: you can redistribute it and/or modify
@@ -23,7 +23,7 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
-target_version := 12
+target_version := 13
 target32 := i686-w64-mingw32
 target64 := x86_64-w64-mingw32
 targets := $(target32) $(target64)
@@ -45,21 +45,6 @@
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9][.0-9]\).*-.*/\1/')
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
 export deb_upstream_version
-
-# Split versions
-first_split_version := 4.6.3-3+4
-thread_split_version := 9.3.0-8+22
-runtime_split_version := 9.3.0-8+22
-ifeq ($(derives_from_ubuntu),yes)
-  first_split_version := 4.6.3-1ubuntu5+5ubuntu1
-# TODO Remember the split versions after Ubuntu syncs
-endif
-
-# libcaf migration version
-libcaf_migration_version := 5.3.1-8+17
-ifeq ($(derives_from_ubuntu),yes)
-  libcaf_migration_version := 5.3.1-8ubuntu2+17
-endif
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 # Build the minimal gcc required to build mingw-w64
@@ -177,8 +162,6 @@
 	tar xf $(gcc_dir)/gcc-*.tar.*
 	rm -rf $(upstream_dir)
 	mv gcc-* $(upstream_dir)
-# gcc-9-source assumes gm2 is unpacked too
-	tar xf $(gcc_dir)/gm2-*.tar.* --strip-components 1 -C $(upstream_dir)
 # Apply our first series of patches (those which need to be applied
 # before gcc-?-source’s)
 	QUILT_SERIES=debian/patches/series1 QUILT_PATCHES=debian/patches quilt push -a
@@ -217,3 +200,25 @@
 CONFFLAGS += \
 	--with-headers
 # MinGW-w64 flags
+# version-specific-runtime-libs puts target-specific libraries in
+# /usr/lib/gcc rather than /usr/$(target)
+CONFFLAGS += \
+	--enable-version-specific-runtime-libs \
+	--enable-fully-dynamic-string \
+	--enable-libgomp
+# Languages
+CONFFLAGS += \
+	--enable-languages=$(languages)
+# LTO
+CONFFLAGS += \
+	--enable-lto
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+# Thread-model-dependent
+CONFFLAGS += \
+	--enable-threads=$$threads \
+	--program-suffix=-$$threads
+endif
+# Target-dependent
+CONFFLAGS += \
+	--program-prefix=$$target- \
+	--target=$$target \
