## gcc-mingw-w64 26.3

=== debian/changelog ===
gcc-mingw-w64 (26.3) unstable; urgency=medium

  * Give an absolute path to debian/changelog as a reference for touch.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Mar 2024 06:38:05 +0100

gcc-mingw-w64 (26.2) unstable; urgency=medium

  * Never undefine _REENTRANT; this ensures it’s always defined when
    appropriate (and only when appropriate). Closes: #792909.
  * Don’t treat missing function declarations as errors when building
    for Windows, the 64-bit time_t change is irrelevant there. Closes:
    #1066350.
  * As suggested by Konstantin Demin, reset the timestamp on BASE-VER
    after changing it to avoid unwanted rebuilds.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Mar 2024 23:20:17 +0100
