=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 # Format fails the build currently; using PIE produces a compiler
 # which can't build with pre-compiled headers
 dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
-dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
+dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all qa=-bug-implicit-func" dpkg-buildflags
 
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 CC = gcc-$(target_version)
@@ -221,4 +221,3 @@
 # Target-dependent
 CONFFLAGS += \
 	--program-prefix=$$target- \
-	--target=$$target \
