## gcc-mingw-w64 26.6

=== debian/changelog ===
gcc-mingw-w64 (26.6) unstable; urgency=medium

  * When adjusting parallelism to limit per-CPU memory usage, clamp the
    result between 1 and the number of available CPUs inclusive. Thanks
    to Santiago Vila for the patch! Closes: #1088874.
  * Evaluate flags when declaring them. This fixes the build with Make
    4.4.

 -- Stephen Kitt <skitt@debian.org>  Wed, 04 Dec 2024 07:36:40 +0100

gcc-mingw-w64 (26.5) unstable; urgency=medium

  * libgfortran doesn’t handle _FOR_TARGET flags, so explicitly set
    FCFLAGS to the target flags, and avoid using dh_auto_configure so
    that the flags variables aren’t reset.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 Oct 2024 13:20:10 +0200

gcc-mingw-w64 (26.4) unstable; urgency=medium

  [ Konstantin Demin ]
  * Remove obsolete variables and dh_gencontrol flags.
  * Handle spaces in spelling fixes correctly.
  * Simplify version variable construction.
  * Verbose debhelper by default.

  [ Stephen Kitt ]
  * Simplify bootstrap handling in debian/rules.
  * Switch to short dh rules, bumping to debhelper compatibility level
    10.
  * Stop requiring the runtime packages in the stage1 profile.
  * d/rules: consistently use expected/actual argument order in
    ifeq/ifneq.
  * When cleaning up runtime .install files, check for ADA in the list
    of languages, not the arches.
  * Rely on the build profile to “filter” debian/control.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Oct 2024 20:09:27 +0200
