=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: autotools-dev,
-               binutils-mingw-w64-i686 (>= 2.30~),
+Build-Depends: binutils-mingw-w64-i686 (>= 2.30~),
                binutils-mingw-w64-x86-64 (>= 2.30~),
                bison,
-               debhelper,
+               debhelper-compat (= 10),
                flex,
                g++-13 <!stage1>,
                gcc-13-source,
@@ -21,12 +20,28 @@
                mingw-w64-x86-64-dev <!stage1>,
                xz-utils,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
 Homepage: https://www.gnu.org/software/gcc/
 Rules-Requires-Root: no
 
+Package: gcc-mingw-w64-bootstrap
+Architecture: any
+Depends: binutils-mingw-w64,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Built-Using: gcc-13 (= ${gcc:Version})
+Description: GNU Compiler Collection for MinGW-w64
+ MinGW-w64 provides a development and runtime environment for 32- and
+ 64-bit Windows applications using the GNU Compiler Collection (gcc).
+ .
+ This package contains the GNU Compiler Collection, supporting
+ cross-compiling to 32- and 64-bit MinGW-w64 targets. The bootstrap
+ version of the package contains only the minimal C compiler required
+ to build MinGW-w64.
+Build-Profiles: <stage1>
+
 Package: gcc-mingw-w64
 Architecture: all
 Depends: gcc-mingw-w64-i686,
@@ -287,18 +302,3 @@
 Architecture: any
 Depends: gcc-mingw-w64-i686-posix (= ${binary:Version}), gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Built-Using: gcc-13 (= ${gcc:Version})
-Description: GNU Fortran compiler for MinGW-w64, Win32/POSIX
- MinGW-w64 provides a development and runtime environment for 32- and
- 64-bit (x86 and x64) Windows applications using the Windows API and
- the GNU Compiler Collection (gcc).
- .
- This package contains the Fortran compiler, supporting
- cross-compiling to 32-bit MinGW-w64 targets, using the POSIX
- threading model.
-Build-Profiles: <!stage1>
-
-Package: gfortran-mingw-w64-i686-win32
-Architecture: any
